## ros-jazzy-rmf-fleet-adapter-python 2.7.2

=== debian/changelog ===
ros-jazzy-rmf-fleet-adapter-python (2.7.2-2bookworm) bookworm; urgency=high



 -- methylDragon <methylDragon@gmail.com>  Mon, 17 Jun 2024 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter-python (2.7.1-2bookworm) bookworm; urgency=high



 -- methylDragon <methylDragon@gmail.com>  Mon, 10 Jun 2024 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter-python (2.7.0-2bookworm) bookworm; urgency=high

  * Add fleet-level reassign dispatched tasks API (#348 <https://github.com/open-rmf/rmf_ros2/pull/348>)
  * Disable automatic retreat (#330 <https://github.com/open-rmf/rmf_ros2/pull/330>)
  * Stabilize commissioning feature (#338 <https://github.com/open-rmf/rmf_ros2/pull/338>)
  * Add all_known_lifts in Graph binding (#336 <https://github.com/open-rmf/rmf_ros2/pull/336>)
  * Add Speed Limit Requests (#335 <https://github.com/open-rmf/rmf_ros2/pull/335>)
  * Contributors: cwrx777, Grey, Pranay Shirodkar, Xiyu, Yadunund

 -- methylDragon <methylDragon@gmail.com>  Fri, 31 May 2024 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter-python (2.6.0-2bookworm) bookworm; urgency=high

  * add in_lift readonly property in Graph::Waypoint binding. (#326 <https://github.com/open-rmf/rmf_ros2/pull/326>)
  * Contributors: cwrx777

 -- methylDragon <methylDragon@gmail.com>  Tue, 12 Mar 2024 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter-python (2.5.0-2bookworm) bookworm; urgency=high



 -- methylDragon <methylDragon@gmail.com>  Thu, 21 Dec 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter-python (2.4.0-2bookworm) bookworm; urgency=high



 -- methylDragon <methylDragon@gmail.com>  Thu, 14 Dec 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter-python (2.3.2-2bookworm) bookworm; urgency=high

  * EasyFullControl API (#235 <https://github.com/open-rmf/rmf_ros2/pull/235>)
  * Contributors: Grey, Luca Della Vedova, Xiyu, Yadunund

 -- methylDragon <methylDragon@gmail.com>  Sun, 27 Aug 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter-python (2.3.1-2bookworm) bookworm; urgency=high

  * Adding initiator and request time to booking (#267 <https://github.com/open-rmf/rmf_ros2/pull/267>)
  * Contributors: Aaron Chong

 -- methylDragon <methylDragon@gmail.com>  Wed, 09 Aug 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter-python (2.3.0-2bookworm) bookworm; urgency=high



 -- methylDragon <methylDragon@gmail.com>  Wed, 07 Jun 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter-python (2.2.0-2bookworm) bookworm; urgency=high

  * Switch to rst changelogs (#276 <https://github.com/open-rmf/rmf_ros2/pull/276>)
  * Contributors: Yadunund

 -- methylDragon <methylDragon@gmail.com>  Mon, 05 Jun 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter-python (2.1.5-2bookworm) bookworm; urgency=high



 -- methylDragon <methylDragon@gmail.com>  Fri, 19 May 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter-python (2.1.4-2bookworm) bookworm; urgency=high



 -- methylDragon <methylDragon@gmail.com>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter-python (2.1.3-2bookworm) bookworm; urgency=high



 -- methylDragon <methylDragon@gmail.com>  Tue, 25 Apr 2023 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter-python (2.1.2-2bookworm) bookworm; urgency=high



 -- methylDragon <methylDragon@gmail.com>  Sun, 09 Oct 2022 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter-python (2.1.0-2bookworm) bookworm; urgency=high

  * Make async behaviors more robust: (#228 <https://github.com/open-rmf/rmf_ros2/pull/228>)
  * Allow fleet adapters to change schedule participant profiles: (#229 <https://github.com/open-rmf/rmf_ros2/pull/229>)
  * Allow robots to be decommissioned from the task dispatch system: (#233 <https://github.com/open-rmf/rmf_ros2/pull/233>)
  * Allow manual toggling of stubborn negotiation: (#196 <https://github.com/open-rmf/rmf_ros2/pull/196>)
  * Allow users to specify a custom update listener: (#198 <https://github.com/open-rmf/rmf_ros2/pull/198>)
  * Fix various segfaults related to pybind: (#205 <https://github.com/open-rmf/rmf_ros2/pull/205>)
  * Allow ResponsiveWait to be enabled and disabled: (#209 <https://github.com/open-rmf/rmf_ros2/pull/209>)
  * Allow robot status to be overridden by the user: (#191 <https://github.com/open-rmf/rmf_ros2/pull/191>)
  * Add API to report status for perform_action: (#190 <https://github.com/open-rmf/rmf_ros2/pull/190>)
  * Changes for humble compatibility: (#215 <https://github.com/open-rmf/rmf_ros2/pull/215>)

 -- methylDragon <methylDragon@gmail.com>  Sun, 02 Oct 2022 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter-python (2.0.0-2bookworm) bookworm; urgency=high

  No changes yet

 -- methylDragon <methylDragon@gmail.com>  Thu, 17 Mar 2022 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter-python (1.5.0-2bookworm) bookworm; urgency=high

  * Support flexible task definitions (#168 <https://github.com/open-rmf/rmf_ros2/pull/168>)
  * Add lane speed limit to graph parsing function (#124 <https://github.com/open-rmf/rmf_ros2/pull/124>)

 -- methylDragon <methylDragon@gmail.com>  Sun, 13 Feb 2022 16:00:00 -0000

ros-jazzy-rmf-fleet-adapter-python (1.3.0-2bookworm) bookworm; urgency=high

  * Modifications to support refactor of rmf_task (#51 <https://github.com/open-rmf/rmf_ros2/pull/51>)
  * Fix symlink-install compilation (#32 <https://github.com/open-rmf/rmf_ros2/pull/32>)
  * Updated package.xml (#26 <https://github.com/open-rmf/rmf_ros2/pull/26>)
  * Fix/rmf task ros2 cleanup (#21 <https://github.com/open-rmf/rmf_ros2/pull/21>)
  * Feature/python binding planner (#11 <https://github.com/open-rmf/rmf_ros2/pull/11>)
  * Adding reference_internal tag to function bindings that return raw pointers (#6 <https://github.com/open-rmf/rmf_ros2/pull/6>)
  * Feature/add unstable participant api (#11 <https://github.com/open-rmf/rmf_ros2/pull/11>)
  * Feature/add simple docs (#9 <https://github.com/open-rmf/rmf_ros2/pull/9>)
  * Support apis for task dispatcher (#10 <https://github.com/open-rmf/rmf_ros2/pull/10>)
  * differentiate functions to prevent overloading (#8 <https://github.com/open-rmf/rmf_ros2/pull/8>)

