=== debian/control ===
Source: ros-jazzy-rmf-fleet-adapter-python
Section: misc
Priority: optional
Maintainer: methylDragon <methylDragon@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake-pytest <!nocheck>, ros-jazzy-pybind11-json-vendor, ros-jazzy-pybind11-vendor, ros-jazzy-rclpy, ros-jazzy-rmf-fleet-adapter, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rmf-fleet-adapter-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-pybind11-json-vendor, ros-jazzy-pybind11-vendor, ros-jazzy-rclpy, ros-jazzy-rmf-fleet-adapter, ros-jazzy-ros-workspace
Description: Python bindings for the rmf_fleet_adapter
